Package org.jfree.report.expressions

# Class ColumnAggregationExpression

java.lang.Object
org.jfree.report.expressions.AbstractExpression
org.jfree.report.expressions.ColumnAggregationExpression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Expression`

Direct Known Subclasses:
  `SurveyScaleExpression`

public abstract class ColumnAggregationExpression extends AbstractExpression
Creation-Date: 04.01.2006, 17:23:01

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ColumnAggregationExpression()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract int`
`getFieldListParameterPosition()`
`protected Object[]`
`getFieldValues()`
`protected Object[]`
`getFieldValues(Class type)`

### Methods inherited from class org.jfree.report.expressions.AbstractExpression

`clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.report.expressions.Expression

`computeValue`

## Constructor Details

### ColumnAggregationExpression

protected ColumnAggregationExpression()

## Method Details

### getFieldListParameterPosition

protected abstract int getFieldListParameterPosition()

### getFieldValues

protected Object[] getFieldValues() throws DataSourceException

Throws:
  `DataSourceException`

### getFieldValues

protected Object[] getFieldValues(Class type) throws DataSourceException

Throws:
  `DataSourceException`